## GnomeDbQfAll

GnomeDbQfAll — Represents all the fields of an entity (through a GnomeDbTarget object)

## Synopsis

                GnomeDbQfAll;
    GType       gnome_db_qf_all_get_type        (void);
    GObject*    gnome_db_qf_all_new_with_target (GnomeDbQuery *query,
                                                 GnomeDbTarget *target);
    GObject*    gnome_db_qf_all_new_with_xml_id (GnomeDbQuery *query,
                                                 const gchar *target_xml_id);
    GnomeDbTarget* gnome_db_qf_all_get_target   (GnomeDbQfAll *field);

## Object Hierarchy

      GObject
       +----GnomeDbBase
             +----GnomeDbQfield
                   +----GnomeDbQfAll

## Implemented Interfaces

GnomeDbQfAll implements GnomeDbXmlStorage, GnomeDbRenderer, GnomeDbReferer and GnomeDbField.

## Properties

      "query"                gpointer              : Read / Write

## Signals

    "templ-signal"
                void        user_function      (GnomeDbQfAll *dbqfall,
                                                gpointer user_data);

## Description

## Details

### GnomeDbQfAll

    typedef struct _GnomeDbQfAll GnomeDbQfAll;

### gnome_db_qf_all_get_type ()

    GType       gnome_db_qf_all_get_type        (void);

Returns : |

### gnome_db_qf_all_new_with_target ()

    GObject*    gnome_db_qf_all_new_with_target (GnomeDbQuery *query,
                                                 GnomeDbTarget *target);

Creates a new GnomeDbQfAll object which represents all the fields of the entity represented by `target`. For example if `target` represents my_table, then the created object would represent 'my_table.*' in SQL notation

`query` : | a GnomeDbQuery in which the new object will be
`target` : | a GnomeDbTarget object
Returns : | the new object

### gnome_db_qf_all_new_with_xml_id ()

    GObject*    gnome_db_qf_all_new_with_xml_id (GnomeDbQuery *query,
                                                 const gchar *target_xml_id);

Creates a new GnomeDbQfAll object which represents all the fields of the entity represented by the target identified by `target_xml_id`.

`query` : | a GnomeDbQuery in which the new object will be
`target_xml_id` : | the XML Id of a GnomeDbTarget object
Returns : | the new object

### gnome_db_qf_all_get_target ()

    GnomeDbTarget* gnome_db_qf_all_get_target   (GnomeDbQfAll *field);

Get the GnomeDbTarget object `field` 'belongs' to

`field` : | a GnomeDbQfAll object
Returns : | the GnomeDbTarget object

## Property Details

### The "`query`" property

      "query"                gpointer              : Read / Write

## Signal Details

### The "templ-signal" signal

    void        user_function                  (GnomeDbQfAll *dbqfall,
                                                gpointer user_data);

`dbqfall` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.